Button (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.form.Button class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.form
Class Button

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.form.Button

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class Button

extends org.apache.tapestry.BaseComponent

Field Summary
`static java.lang.String` | `BUTTON_BLUE`
`static java.lang.String` | `BUTTON_DISABLED`
`static java.lang.String` | `BUTTON_GREEN`
`static java.lang.String` | `BUTTON_GREY`
`static java.lang.String` | `KEYPRESS_SCOPE_FORM`
`static java.lang.String` | `KEYPRESS_SCOPE_WINDOW`
`static java.lang.String` | `SUBMIT_TYPE_CANCEL`
`static java.lang.String` | `SUBMIT_TYPE_SUBMIT`
`static java.lang.String` | `SUBMITE_TYPE_RESET`

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`Button()`

Method Summary
`abstract org.apache.tapestry.IActionListener` | `getAction()`
`abstract boolean` | `getAsync()`
`abstract java.lang.Boolean` | `getDisabled()`
`abstract boolean` | `getEnableKeyListener()`
`abstract boolean` | `getJson()`
`abstract java.lang.String` | `getLabel()`
`abstract org.apache.tapestry.IActionListener` | `getListener()`
`abstract java.lang.Object` | `getParameters()`
`abstract java.lang.String` | `getScopeObjectName()`
`abstract org.apache.tapestry.IScript` | `getScript()`
`abstract java.lang.String` | `getSubmitType()`
`abstract java.lang.String` | `getType()`
`abstract java.lang.String[]` | `getUpdateComponents()`
`void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)`
`abstract void` | `setAction(org.apache.tapestry.IActionListener action)`
`abstract void` | `setAsync(boolean async)`
`abstract void` | `setDisabled(java.lang.Boolean disabled)`
`abstract void` | `setEnableKeyListener(boolean enableKeyListener)`
`abstract void` | `setJson(boolean json)`
`abstract void` | `setLabel(java.lang.String label)`
`abstract void` | `setListener(org.apache.tapestry.IActionListener listener)`
`abstract void` | `setParameters(java.lang.Object parameters)`
`abstract void` | `setScopeObjectName(java.lang.String scopeObj)`
`abstract void` | `setSubmitType(java.lang.String submitType)`
`abstract void` | `setType(java.lang.String type)`
`abstract void` | `setUpdateComponents(java.lang.String[] updateComponents)`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Field Detail

### BUTTON_GREEN

    public static final java.lang.String BUTTON_GREEN

See Also:
  Constant Field Values

### BUTTON_BLUE

    public static final java.lang.String BUTTON_BLUE

See Also:
  Constant Field Values

### BUTTON_GREY

    public static final java.lang.String BUTTON_GREY

See Also:
  Constant Field Values

### BUTTON_DISABLED

    public static final java.lang.String BUTTON_DISABLED

See Also:
  Constant Field Values

### SUBMIT_TYPE_SUBMIT

    public static final java.lang.String SUBMIT_TYPE_SUBMIT

See Also:
  Constant Field Values

### SUBMIT_TYPE_CANCEL

    public static final java.lang.String SUBMIT_TYPE_CANCEL

See Also:
  Constant Field Values

### SUBMITE_TYPE_RESET

    public static final java.lang.String SUBMITE_TYPE_RESET

See Also:
  Constant Field Values

### KEYPRESS_SCOPE_FORM

    public static final java.lang.String KEYPRESS_SCOPE_FORM

See Also:
  Constant Field Values

### KEYPRESS_SCOPE_WINDOW

    public static final java.lang.String KEYPRESS_SCOPE_WINDOW

See Also:
  Constant Field Values

Constructor Detail

### Button

    public Button()

Method Detail

### getListener

    @Parameter(name="listener")
    public abstract org.apache.tapestry.IActionListener getListener()

### setListener

    public abstract void setListener(org.apache.tapestry.IActionListener listener)

### getAction

    @Parameter(name="action")
    public abstract org.apache.tapestry.IActionListener getAction()

### setAction

    public abstract void setAction(org.apache.tapestry.IActionListener action)

### getType

    @Parameter(name="type",
               defaultValue="@org.hyperic.ui.tapestry.components.form.Button@BUTTON_GREEN")
    public abstract java.lang.String getType()

### setType

    public abstract void setType(java.lang.String type)

### getDisabled

    @Parameter(name="disabled",
               defaultValue="false")
    public abstract java.lang.Boolean getDisabled()

### setDisabled

    public abstract void setDisabled(java.lang.Boolean disabled)

### getAsync

    @Parameter(name="async",
               defaultValue="false")
    public abstract boolean getAsync()

### setAsync

    public abstract void setAsync(boolean async)

### getJson

    @Parameter(name="json",
               defaultValue="false")
    public abstract boolean getJson()

### setJson

    public abstract void setJson(boolean json)

### getUpdateComponents

    @Parameter(name="updateComponents")
    public abstract java.lang.String[] getUpdateComponents()

### setUpdateComponents

    public abstract void setUpdateComponents(java.lang.String[] updateComponents)

### getParameters

    @Parameter(name="parameters")
    public abstract java.lang.Object getParameters()

### setParameters

    public abstract void setParameters(java.lang.Object parameters)

### getSubmitType

    @Parameter(name="submitType",
               defaultValue="@org.hyperic.ui.tapestry.components.form.Button@SUBMIT_TYPE_SUBMIT")
    public abstract java.lang.String getSubmitType()

### setSubmitType

    public abstract void setSubmitType(java.lang.String submitType)

### getLabel

    @Parameter(name="label",
               required=true)
    public abstract java.lang.String getLabel()

### setLabel

    public abstract void setLabel(java.lang.String label)

### getEnableKeyListener

    @Parameter(name="enableKeyListener",
               defaultValue="false")
    public abstract boolean getEnableKeyListener()

### setEnableKeyListener

    public abstract void setEnableKeyListener(boolean enableKeyListener)

### getScopeObjectName

    @Parameter(name="keypressScopeObject",
               defaultValue="@org.hyperic.ui.tapestry.components.form.Button@KEYPRESS_SCOPE_FORM")
    public abstract java.lang.String getScopeObjectName()

### setScopeObjectName

    public abstract void setScopeObjectName(java.lang.String scopeObj)

### getScript

    @InjectScript(value="Button.script")
    public abstract org.apache.tapestry.IScript getScript()

### renderComponent

    public void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `renderComponent` in class `org.apache.tapestry.BaseComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.